Delete contact
curl --request DELETE \
--url https://api-contact.beem.africa/public/v1/contacts/{contact_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-contact.beem.africa/public/v1/contacts/{contact_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-contact.beem.africa/public/v1/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"message": "Contacts Deleted Successfully",
"status": "true"
}
}{
"code": 120,
"message": "Invalid Authorization Parameters"
}{
"data": {
"message": "Contact Not Found",
"status": "false"
}
}API Reference
Delete contact
DELETE
/
contacts
/
{contact_id}
Delete contact
Authorizations
basicAuthaccessToken
Beem API credentials: API key as username, API secret as password.
Path Parameters
Unique contact ID.
Query Parameters
Address book ID the contact belongs to.
Response
Contact deleted successfully.
Show child attributes
Show child attributes
⌘I
